%define oname MHonArc

Summary:	A Perl mail-to-HTML converter
Name:		mhonarc
Version:	2.6.19
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/WWW
URL:		http://www.mhonarc.org/
Source:		http://www.mhonarc.org/release/MHonArc/tar/%{oname}-%{version}.tar.bz2
Patch0:         MHonArc-2.6.15-fix-perl.patch
Requires:	perl >= 0:5.601
BuildArch:	noarch

Obsoletes:      MHonArc

%global __requires_exclude  %{?__requires_exclude}|^perl\\((mhamain.pl|shellwords.pl)\\)

%description
MHonArc provides HTML mail archiving with index, mail thread linking, etc; plus
other capabilities including support for MIME and powerful user customization
features.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build

%install
perl install.me -batch -nodoc \
	-binpath %{buildroot}%{_bindir} \
	-libpath %{buildroot}%{_datadir}/%{oname} \
	-manpath %{buildroot}%{_mandir}

# just in case
cd %{buildroot}
find . -type f -exec perl -pi -e "s|%{buildroot}||g" {} \;

%files
%doc ACKNOWLG BUGS CHANGES README.txt RELNOTES
%doc doc examples extras logo
%{_bindir}/%{name}
%{_bindir}/mha-*
%{_datadir}/%{oname}/
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/mha-*.1*


%changelog
* Tue May 09 2017 akien <akien> 2.6.19-1.mga6
+ Revision: 1099785
- Version 2.6.19

* Sat Jan 30 2016 umeabot <umeabot> 2.6.18-7.mga6
+ Revision: 929082
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.6.18-6.mga5
+ Revision: 746239
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 2.6.18-5.mga5
+ Revision: 733691
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 2.6.18-4.mga5
+ Revision: 682383
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.6.18-3.mga4
+ Revision: 507948
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.6.18-2.mga3
+ Revision: 360022
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 03 2012 dmorgan <dmorgan> 2.6.18-1.mga2
+ Revision: 189769
- New version 2.6.18 ( Fix CVE-2010-1677 / CVE-2010-4524) ( mga #3997)

* Mon Mar 07 2011 ennael <ennael> 2.6.16-6.mga1
+ Revision: 65898
- imported package mhonarc

